# gas_toolbox
The MATLAB functions in the main directory calculate instantaneous air-sea and sea-air fluxes of several gases using a variety of published gas exchange parameterizations. 

The subdirectory weighted_flux contains functions for calculating time-weighted sea-air fluxes and for downloading historical wind speed, sea level pressure, and sea ice coverage data used in these calculations. 

Please see README_for_gas_toolbox.pdf for more details on the functions.

CITATION:
Manning, C.C.M. and D.P. Nicholson (2022). dnicholson/gas_toolbox: MATLAB code for calculating gas fluxes. Zenodo. https://doi.org/10.5281/zenodo.6126685

If you use these functions for scientific research, please cite or acknowledge our GitHub repository, and also cite the references listed in the headers of the individual functions (e.g. for the specific gas exchange parameterization used).  

Some of the functions in this repository were developed by or adapted from code by Robert Izett (available at https://github.com/rizett/RI_download_functions), Roberta Hamme (available at https://oceangaseslab.uvic.ca/download.html), and other colleagues. These contributions are acknowledged in the headers of individual functions.

Development of the gas_toolbox functions for oceanographic research was supported by the National Science Foundation OCE award 1129644 to David Nicholson.
